<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `photos_file` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true)
	{
		$arr = mysql_fetch_array(mysql_query("SELECT * FROM `photos_file` WHERE `id` = '".$id."' LIMIT 1"));
		$arr_album = mysql_fetch_array(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$arr['aid']."' LIMIT 1"));
	}
	else go(URL.'/');
}
else
{
	go(URL.'/');
}
				
$title = lang('Просмотр фотографии :: Мне нравиться','Перегляд фотографії :: Мені подобається');
require_once '../incfiles/head.php';

echo '<div class="title">'.lang('Просмотр фотографии','Перегляд фотографії').'</div>
	<div class="block"><center>';

	echo '<a href="'.URL.'/photos/preview.php?fid='.$arr['id'].'"><img class="preview" src="'.URL.'/files/photos/'.$arr['user_id'].'/'.$arr_album['name_dir'].'/preview/'.$arr['name'].'"/></a>';

	echo'</center></div><div class="title">'.lang('Мне нравится','Мені подобається').' <div class="right">'.$arr['clike'].'</div></div>';

if (!empty($arr['ulike']))
{
	$q = explode("||", substr($arr['ulike'], 1, -1));
	$count = count($q);
	$cp = ceil($count/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;

	for ($i = 0; $i < $count; $i++)
	{
		echo '<div class="block">'.user_name($q[$i]).'<br/><br/></div>';
	}
	navi($p,$cp,''.URL.'/photos/show_like.php?id='.$arr['id'].'&');
}
require_once '../incfiles/foot.php';

?>